<?php

if (! defined('ABSPATH')) {
    exit;
}

/**
 * Widget class
 */
class tecdocWooWidget extends WP_Widget
{
    /**
     * Sets up the widgets name etc
     */
    public function __construct()
    {
        $widget_ops = array(
            'classname' => 'tecdoc_woo_widget',
            'description' => 'TecDoc-Woo Integration Widget',
        );
        parent::__construct('tecdoc_woo_widget', 'TecDoc-Woo Widget', $widget_ops);

        add_action('widgets_init', array($this, 'sidebar_init'));
        add_action('widgets_init', array($this, 'myplugin_register_widgets'));
    }

    /**
     * Add below-header sidebar
     */
    public function sidebar_init()
    {
        register_sidebar(array(
            'name' => __('TecDoc-Woo Header Sidebar', 'ep-tecdoc'),
            'id' => 'tecdoc-sidebar',
            'description' => __('Widgets in this area will be shown on all posts and pages.', 'ep-tecdoc'),
            'before_widget' => '<li id="%1$s" class="widget %2$s">',
            'after_widget'  => '</li>',
            'before_title'  => '<h2 class="widgettitle">',
            'after_title'   => '</h2>',
        ));
    }

    /**
     * Outputs the content of the widget
     *
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance)
    {
        include plugin_dir_path(dirname(__FILE__)).'public/partials/tecdoc-woo-public-display.php';
    }

    /**
     * Outputs the options form on admin
     *
     * @param array $instance The widget options
     */
    public function form($instance)
    {
        // outputs the options form on admin
    }

    /**
     * Processing widget options on save
     *
     * @param array $new_instance The new options
     * @param array $old_instance The previous options
     */
    public function update($new_instance, $old_instance)
    {
        // processes widget options to be saved
    }


    public function myplugin_register_widgets()
    {
        register_widget('tecdocWooWidget');
    }
}
