<?php

use Zend\View\Renderer\RendererInterface;

if (! defined('ABSPATH')) {
    exit;
}

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       http://ep.hr/
 * @since      1.0.0
 *
 * @package    Tecdoc_Woo
 * @subpackage Tecdoc_Woo/public/partials
 */
?>
<?php
    $shop_id = get_option('woocommerce_shop_page_id');

if (!$shop_id) {
    _e('Shop page needs to be set in WooCommerce settings in order for TecDoc integration to work properly.', 'ep-tecdoc');
    $shop_permalink = '';
} else {
    $shop_permalink = get_permalink($shop_id);
}

$hasCar = isset($_COOKIE['manufacturerId'], $_COOKIE['modelId'], $_COOKIE['vehicleId']);
?>
<div class="tecdoc-woo-demo">
    <div class="tecdoc-woo-demo-header">
        <img src="<?= get_theme_file_uri('/assets/img/icon-car.png'); ?>" alt="">
        <span><?= __('Choose Your Vehicle', 'ep-tecdoc'); ?></span>

        <a href="#" class="tecdoc-woo-demo-toggle">
            <i class="icon-menu"></i>
        </a>
    </div>

    <div class="tecdoc-woo-demo-body">
        <form id="tecdoc-woo-form" method="POST" action="<?php echo $shop_permalink; ?>">
            <div class="row">
                <div id="manuholder" class="holder col">
                    <div class="col-inner">
                        <div class="control-group">
                            <select name="tecdoc-woo-manufacturer"
                                    id="tecdoc-woo-manufacturer"
                                    class="demo-default"
                                    placeholder="Odaberi proizvođača">
                            </select>
                        </div>
                    </div>

                    <div class="loader-wrapper">
                        <div class="loader hidden"></div>
                    </div>
                </div>

                <div id="modelholder" class="holder col">
                    <div class="col-inner">
                        <div class="control-group">
                            <select name="tecdoc-woo-model"
                                    id="tecdoc-woo-model"
                                    class="demo-default"
                                    disabled
                                    placeholder="<?php _e('Select model...', 'ep-tecdoc'); ?>">
                            </select>
                        </div>
                    </div>

                    <div class="loader-wrapper">
                        <div class="loader hidden"></div>
                    </div>
                </div>

                <div id="typeholder" class="holder col">
                    <div class="col-inner">
                        <div class="control-group">
                            <select name="tecdoc-woo-type"
                                    id="tecdoc-woo-type"
                                    class="demo-default"
                                    disabled
                                    placeholder="<?php _e('Select type...', 'ep-tecdoc'); ?>">
                            </select>
                        </div>
                    </div>

                    <div class="loader-wrapper">
                        <div class="loader hidden"></div>
                    </div>
                </div>

                <div id="submit-widget-button" class="col">
                    <div class="col-inner">
                        <div class="control-group">
                            <a href="<?= $shop_permalink; ?>" name="tecdoc-submit" class="button primary disabled" id="tecdoc-submit">
                                <div class="loader-wrapper hidden">
                                    <div class="loader"></div>
                                </div>
                                <?= __('Search', 'ep-tecdoc'); ?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>

    <?php
    $services = ep_services();
    /** @var RendererInterface $view */
    $view = $services->get('ViewRenderer');

    echo $view->render('tecdoc/widget/vehicle-wrapper.twig', [
        'is_shop' => is_shop(),
        'shop_url' => get_permalink(wc_get_page_id('shop')),
    ]); ?>
</div>
